{
  template: '${tmpl}',
    data: function() {
      return {
        multipleSelection: [],
        isSingleSelect: false,
        content: "hello",
      }
    },
  mounted: function() {

  },
  created: function() {
    /*console.log("xxxxxxxxxxxxxxxxxxxxyyy");
    this.$store.commit('increment');
    console.log(this.count);
    console.log("xxxxxxxxxxxxxxxxxxxxyyy");*/
  },
  methods: {
    onColFormater(row, column, cellvalue, index){
      return cellvalue;
    },
    handleSelectionChange: function(val) {
      this.multipleSelection = val;
      console.log(val);
    },
    headerCellStyle: function() {
      return { "background-color": "red" };
    },
    onRowClick: function(row, k) {
      if (k == "invalidate") {
        this.$root.postReq("/web/common/cachsearchesCtl/delCache", { key: row.key }).then(d => {
          if (d.status == 0) {
            this.$message({
              type: 'success',
              message: '删除成功'
            });
            this.$refs.cgrid.fetchData();
          }
          else {
            this.$message.warning(`操作失败`);
          }
        });
      }
    },
    barClick: function(k, t) {
      if (k == "clearAll") {
        this.$confirm('此操作将清空所有缓存, 是否继续?', '提示', {
          confirmButtonText: '确定',
          cancelButtonText: '取消',
          type: 'warning'
        }).then(() => {
          this.$root.postReq("/web/common/cachsearchesCtl/clearAllCache", { ok: "" }).then(d => {
            if (d.status == 0) {
              this.$message({
                type: 'success',
                message: '清空所有缓存成功'
              });
              this.$refs.cgrid.fetchData();
            }
            else {
              this.$message.warning(`操作失败`);
            }
          });
        });
      }
    }
  },
  computed: Vuex.mapState({
    count: state => state.count,
    headStyle: function () {
      return { "background-color": "white" };
    }
  }),
    vname: "gsb-cachsearches"
}
